Uploaded image for project: 'Spark'
  1. Spark
  2. SPARK-29066

Remove old Jenkins jobs for EOL versions or obsolete combinations

    XMLWordPrintableJSON

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.0.0
    • Fix Version/s: None
    • Component/s: Project Infra
    • Labels:
      None

      Description

      This issue aims to remove the old Jenkins jobs for EOL versions (1.6 ~ 2.3) and some obsolete combinations.

      1. https://amplab.cs.berkeley.edu/jenkins/view/Spark%20Packaging/
      2. https://amplab.cs.berkeley.edu/jenkins/view/Spark%20QA%20Compile/ (Here, `spark-master-compile-maven-hadoop-2.6` is an invalid combination.)
      3. https://amplab.cs.berkeley.edu/jenkins/view/Spark%20QA%20Test/
      4. https://amplab.cs.berkeley.edu/jenkins/view/Spark%20QA%20Test%20(Dashboard)/
      5. https://amplab.cs.berkeley.edu/jenkins/view/spark%20k8s%20builds/

      For 1~3, we need additional scroll-down in laptop environments. It's inconvenient.

      This cleanup will make us more room when we add `branch-3.0` later.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                shaneknapp Shane Knapp
                Reporter:
                dongjoon Dongjoon Hyun
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: